summaryrefslogtreecommitdiffstats
path: root/office/gnucash/gnucash.SlackBuild
diff options
context:
space:
mode:
author Lenard Spencer2018-04-08 15:39:36 +0200
committer Willy Sudiarto Raharjo2018-04-14 02:06:27 +0200
commitb59427aaeacdac925e1f5314b9cf626cd9c5837c (patch)
tree02f9510712cf25a631bc6eaa05360a93dab48cde /office/gnucash/gnucash.SlackBuild
parentfd36647ff2908b3f950d6be6eb67dec2bc74fd5a (diff)
downloadslackbuilds-b59427aaeacdac925e1f5314b9cf626cd9c5837c.tar.gz
office/gnucash: Updated for version 2.6.20.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'office/gnucash/gnucash.SlackBuild')
-rw-r--r--office/gnucash/gnucash.SlackBuild30
1 files changed, 23 insertions, 7 deletions
diff --git a/office/gnucash/gnucash.SlackBuild b/office/gnucash/gnucash.SlackBuild
index d9b2f2e6a7..1d2fbb8a8c 100644
--- a/office/gnucash/gnucash.SlackBuild
+++ b/office/gnucash/gnucash.SlackBuild
@@ -24,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=gnucash
-VERSION=${VERSION:-2.6.19}
+VERSION=${VERSION:-2.6.20}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -61,10 +61,16 @@ else
LIBDIRSUFFIX=""
fi
+# First, make sure a previous Gnucash installation is removed:
+if [ -e /usr/bin/gnucash ]; then
+ echo "A previous Gnucash installation has been found."
+ echo "Please remove it before running this script."
+ exit 1
+fi
+
if [ "$DBI" = "yes" ]; then
DBIARGS="--enable-dbi --with-dbi-dbd-dir=/usr/lib${LIBDIRSUFFIX}/dbd/ "
echo " building with dbi enabled"
- sleep 1
else
DBIARGS="--disable-dbi "
fi
@@ -72,7 +78,6 @@ fi
if [ "$OFX" = "yes" ]; then
OFXBANKING="--enable-ofx"
echo " building with OFX enabled"
- sleep 1
else
OFXBANKING="--disable-ofx"
fi
@@ -80,11 +85,17 @@ fi
if [ "$AQ" = "yes" ]; then
AQBANKING="--enable-aqbanking"
echo " building with aqbanking enabled"
- sleep 1
else
AQBANKING="--disable-aqbanking"
fi
+if [ "$WITH_PYTHON" = "yes" ]; then
+ W_PYTHON="--enable-python"
+ echo " building with Python bindings enabled"
+else
+ W_PYTHON="--disable-python"
+fi
+
set -e
# First, make sure a previous Gnucash installation is removed:
@@ -94,13 +105,18 @@ if [ -e /usr/bin/gnucash ]; then
exit 1
fi
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
+
+# Restore missing .py files lost from 2.6.19 to 2.6.20:
+if [ "$WITH_PYTHON" = "yes" ]; then
+ cp -nv $CWD/missing-py/* src/optional/python-bindings
+fi
+
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -118,7 +134,8 @@ CXXFLAGS="$SLKCFLAGS" \
--infodir=/usr/info \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
- --enable-python \
+ --enable-register2 \
+ $W_PYTHON \
$OFXBANKING \
$AQBANKING \
--disable-schemas-compile \
@@ -151,4 +168,3 @@ cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-